import { __assign, __rest } from "tslib";
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { Text } from "./Text";
import PropTypes from "prop-types";
import { useTheme } from "./Theme/Providers";
/**
 * Use a badge to indicate a count in a menu, such as unread messages.
 */
export var Badge = function (_a) {
    var children = _a.children, other = __rest(_a, ["children"]);
    var theme = useTheme();
    return (_jsx(Text, __assign({ variant: "body", component: "span", css: {
            color: "white",
            fontSize: "calc(" + theme.fontSizes[0] + " - 0.15rem)",
            fontWeight: "bold",
            display: "inline-block",
            borderRadius: "32px",
            minWidth: "19px",
            textAlign: "center",
            textTransform: "uppercase",
            padding: "1px 6px",
            background: theme.colors.palette.blue.base
        } }, other, { children: children }), void 0));
};
Badge.propTypes = {
    children: PropTypes.node
};
//# sourceMappingURL=Badge.js.map