import { __assign } from "tslib";
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { css } from "@emotion/react";
import PropTypes from "prop-types";
import { useTheme } from "./Theme/Providers";
export var useResponsiveContainerPadding = function () {
    var _a;
    var theme = useTheme();
    return css((_a = {
            padding: "0 " + theme.spaces.xs
        },
        _a[theme.mediaQueries.sm] = {
            padding: "0 " + theme.spaces.none
        },
        _a[theme.mediaQueries.md] = {
            padding: "0 " + theme.spaces.sm
        },
        _a[theme.mediaQueries.lg] = {
            padding: "0 " + theme.spaces.md
        },
        _a[theme.mediaQueries.xl] = {
            padding: "0 " + theme.spaces.lg
        },
        _a));
};
export var Container = function (props) {
    var responsiveContainerPadding = useResponsiveContainerPadding();
    return (_jsx("div", __assign({ css: [
            {
                width: "100%",
                maxWidth: "1200px",
                boxSizing: "border-box",
                margin: "0 auto"
            },
            responsiveContainerPadding
        ] }, props), void 0));
};
Container.propTypes = {
    children: PropTypes.node
};
export function NegativeMarginsContainer(props) {
    var _a;
    var theme = useTheme();
    return (_jsx("div", __assign({ css: (_a = {
                marginLeft: "-" + theme.spaces.md,
                marginRight: "-" + theme.spaces.md
            },
            _a[theme.mediaQueries.lg] = {
                marginLeft: "-" + theme.spaces.lg,
                marginRight: "-" + theme.spaces.lg
            },
            _a) }, props), void 0));
}
//# sourceMappingURL=Container.js.map