import { __assign, __rest } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export var IconSliders = function (_a) {
    var providedColor = _a.color, _b = _a.size, providedSize = _b === void 0 ? "md" : _b, other = __rest(_a, ["color", "size"]);
    var theme = useTheme();
    var size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    var color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", __assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("line", { x1: "4", y1: "21", x2: "4", y2: "14" }, void 0),
            _jsx("line", { x1: "4", y1: "10", x2: "4", y2: "3" }, void 0),
            _jsx("line", { x1: "12", y1: "21", x2: "12", y2: "12" }, void 0),
            _jsx("line", { x1: "12", y1: "8", x2: "12", y2: "3" }, void 0),
            _jsx("line", { x1: "20", y1: "21", x2: "20", y2: "16" }, void 0),
            _jsx("line", { x1: "20", y1: "12", x2: "20", y2: "3" }, void 0),
            _jsx("line", { x1: "1", y1: "14", x2: "7", y2: "14" }, void 0),
            _jsx("line", { x1: "9", y1: "8", x2: "15", y2: "8" }, void 0),
            _jsx("line", { x1: "17", y1: "16", x2: "23", y2: "16" }, void 0)] }), void 0));
};
IconSliders.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconSliders.js.map