import { __assign, __rest } from "tslib";
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import * as React from "react";
import { StackTitle as Title, Stack as OriginalStack, StackItem as OriginalStackItem, StackContext } from "react-gesture-stack";
import { Text } from "./Text";
import { Button } from "./Button";
import { IconChevronLeft } from "./Icons";
import { useTheme } from "./Theme/Providers";
export function StackTitle(_a) {
    var title = _a.title, _b = _a.backTitle, backTitle = _b === void 0 ? "Back" : _b, other = __rest(_a, ["title", "backTitle"]);
    var _c = React.useContext(StackContext), index = _c.index, changeIndex = _c.changeIndex;
    return (_jsx(Title, __assign({ backButton: _jsx(Button, __assign({ variant: "ghost", onPress: function () { return changeIndex(index - 1); }, iconBefore: _jsx(IconChevronLeft, {}, void 0) }, { children: backTitle }), void 0), title: title ? (_jsx(Text, __assign({ gutter: false, variant: "h6" }, { children: title }), void 0)) : null }, other), void 0));
}
export function Stack(props) {
    var theme = useTheme();
    return (_jsx(OriginalStack, __assign({ css: {
            ".Stack__nav": {
                background: theme.colors.background.tint1,
                boxShadow: theme.shadows.xs
            }
        } }, props), void 0));
}
export function StackItem(props) {
    var theme = useTheme();
    var dark = theme.colors.mode === "dark";
    function generateShadow(x) {
        return dark
            ? "rgba(0, 0, 0, " + x + ") 0px 0px 12px -2px"
            : "rgba(160, 160, 160, " + x + ") 0px 0px 12px -2px";
    }
    return (_jsx(OriginalStackItem, __assign({ generateShadow: generateShadow, style: {
            background: undefined
        }, css: {
            backgroundColor: theme.colors.background.default,
            "& .StackItem__overlay": {
                backgroundColor: theme.colors.background.tint1 + "!important"
            }
        } }, props), void 0));
}
//# sourceMappingURL=Stack.js.map