import { __assign, __rest } from "tslib";
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { css } from "@emotion/react";
import PropTypes from "prop-types";
import { useTheme } from "./Theme/Providers";
var MOBILE_HEIGHT = "56px";
var DESKTOP_HEIGHT = "64px";
export var Toolbar = function (_a) {
    var _b;
    var compressed = _a.compressed, other = __rest(_a, ["compressed"]);
    var theme = useTheme();
    return (_jsx("div", __assign({ css: [
            (_b = {
                    minHeight: MOBILE_HEIGHT,
                    display: "flex",
                    position: "relative",
                    alignItems: "center",
                    paddingLeft: theme.spaces.md,
                    paddingRight: theme.spaces.md
                },
                _b[theme.mediaQueries.lg] = {
                    minHeight: DESKTOP_HEIGHT,
                    paddingLeft: theme.spaces.lg,
                    paddingRight: theme.spaces.lg
                },
                _b),
            compressed ? { minHeight: "48px !important" } : undefined
        ] }, other), void 0));
};
Toolbar.propTypes = {
    compressed: PropTypes.bool,
    children: PropTypes.node
};
export var useResponsiveBodyPadding = function () {
    var _a;
    var theme = useTheme();
    return css((_a = {
            paddingTop: MOBILE_HEIGHT
        },
        _a[theme.mediaQueries.lg] = {
            paddingTop: DESKTOP_HEIGHT
        },
        _a));
};
//# sourceMappingURL=Toolbar.js.map